#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, see <https://www.gnu.org/licenses/>.
#
#

Name:		qubes-core-qrexec-vm
Version:	4.1.11
Release:	1%{dist}
Summary:	The Qubes qrexec files (qube side)

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildRequires:	gcc
BuildRequires:	pam-devel
BuildRequires:	pandoc
BuildRequires:	qubes-libvchan-devel
BuildRequires:	qubes-core-qrexec-devel
BuildRequires:	lsb-core-noarch
BuildRequires:	systemd-devel

Requires:   python%{python3_pkgversion}
Requires:   qubes-core-qrexec = %{version}-%{release}

Provides:   qubes-core-agent-qrexec = 4.1.0-1
Obsoletes:  qubes-core-agent-qrexec < 4.1.0-1

Source0: qubes-core-qrexec-%{version}.tar.gz

%description
The Qubes qrexec files for installation on a qube.

%prep
%setup -qn qubes-core-qrexec-%{version}

%build
%{?set_build_flags}
export BACKEND_VMM=xen
make all-vm
#make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man

%install
make install-vm \
    DESTDIR=$RPM_BUILD_ROOT \
    UNITDIR=%{_unitdir} \
    PYTHON_SITEPATH=%{python3_sitelib} \
    SYSCONFDIR=%{_sysconfdir}

#make -C doc DESTDIR=$RPM_BUILD_ROOT \
#    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
#    install

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%post
%systemd_post qubes-qrexec-agent.service

%preun
%systemd_preun qubes-qrexec-agent.service

%posttrans
# when upgrading from R4.0, %%postun of qubes-core-agent-qrexec will revert
# %%post of this package. Redo the action in %%posttrans
%systemd_post qubes-qrexec-agent.service
# and then start it back
if systemctl is-enabled qubes-qrexec-agent.service >/dev/null 2>&1; then
    systemctl start qubes-qrexec-agent.service
fi

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/pam.d/qrexec
%dir /etc/qubes/rpc-config
/etc/qubes/rpc-config/README

%{_bindir}/qrexec-client-vm
%{_bindir}/qrexec-fork-server

%{_mandir}/man1/qrexec-client-vm.1*

/usr/lib/qubes/qrexec-agent
/usr/lib/qubes/qrexec-client-vm
/usr/lib/qubes/qrexec_client_vm
/lib/systemd/system/qubes-qrexec-agent.service

%changelog
* Fri Nov 13 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-qrexec.git

* Fri Nov 13 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aecd3e2
- version 4.1.11

* Thu Nov 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b98078a
- Start qrexec-agent only after systemd let in normal users

* Wed Nov 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cd9df7e
- qrexec-policy-agent: do not patch event loop on module import

* Wed Nov 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d587764
- tests: minor adjustment

* Wed Nov 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b31cdf3
- libqrexec: fix calling qubes.WaitForSession

* Sun Nov 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c68adf
- daemon: fix handling multiple parallel qrexec-policy processes

* Wed Oct 28 2020 icequbes1 <71958531+icequbes1@users.noreply.github.com> - c65241f
- [archlinux] Fix qrexec installing wrong qrexec.pam file

* Mon Oct 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 760a225
- archlinux: ensure PKGBUILD.install

* Mon Oct 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fe1fe9d
- makefile: /lib is SYSLIBDIR

* Mon Oct 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 55da680
- archlinux: don't need to qubes-vm-utils

* Sun Oct 18 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 080fd2c
- archlinux: ensure python-setuptools make deps

* Sun Oct 18 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6ee40c3
- Add ArchLinux packaging

* Sun Oct 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d9ad197
- version 4.1.10

* Sun Oct 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f348d1
- daemon: do not send MSG_SERVICE_* messages twice for a given connection

* Sun Oct 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e97368
- policy: adjust call target for allow action too

* Sun Oct 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 25ee620
- agent: do not crash on spurious MSG_SERVICE_CONNECT from the daemon

* Sat Oct 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1f5740e
- version 4.1.9

* Sat Oct 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bea8916
- Fix handling default_target in ask action

* Sun Sep 20 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 68b8b65
- Fix sphinx build

* Sun Sep 20 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - eeda500
- Fix documentation build

* Mon Aug 31 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - a69f12f
- Handle Pylint upgrade

* Mon Aug 31 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - cc965dc
- policy admin: add default configuration

* Tue Aug 25 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 926f618
- policy admin: package

* Tue Aug 25 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 28fc52b
- policy admin: add client API and command-line tool

* Tue Aug 25 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 36703b7
- policy admin: add tokens to prevent concurrent modification

* Tue Aug 25 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 0548a54
- policy admin: change API to use policy.include.*

* Tue Aug 25 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 981f74d
- Add a QubesRPC API for policy

* Tue Aug 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 24635ad
- travis: restore language option

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 199c300
- Update travis

* Fri Jul 24 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 3aa595d
- policy: allow '*' as source and target

* Thu Jul 23 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 39f63f9
- Add 'autostart=no' option to policy

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79e6bd0
- policy: interpret invalid requested target as @default

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea0e776
- version 4.1.8

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ab7fd0f
- rpm: adjust depencency on qubes-core-dom0

* Fri May 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ffba26f
- Update qrexec-policy-graph tool for new qrexec module

* Fri May 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9dc5032
- parser: ignore .rpmsave/.rpmnew/.swp and .* policy files...

* Fri May 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b7cb638
- Fix documentation for relative paths in !include directive

* Mon May 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b6ae0d4
- Revert "test: downgrade pytest-asyncio"

* Sun May 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c71e6fa
- rpm: restart qrexec-policy-daemon on upgrade

* Sun May 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bba3d33
- Update for changed qubesd socket protocol

* Sun May 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4606fc4
- test: downgrade pytest-asyncio

* Sat May 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0877bbe
- Fix dangerous-default-value pylint warning

* Sat Apr 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4fa17c9
- version 4.1.7

* Wed Apr 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a24a446
- spec: fix hardcoded python3 prefix for CentOS

* Tue Mar 31 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 4dc330b
- Remove false error message on vchan disconnect

* Tue Mar 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ffe427
- Adjust dependencies to avoid breaking USB proxy

* Mon Mar 30 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 323c19b
- fuzzer: use C++ compiler for linking

* Mon Mar 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 817f9f0
- policy/utils: fix pyinotify cleanup

* Sat Mar 28 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 5fdd524
- qrexec-agent, qrexec-daemon: unblock signals before exec()

* Sat Mar 28 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - c9b3439
- qrexec-client: handle failed service exec

